FieldGroup< BaseTypeList_T, Dims_T >::MemSize Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| MemSize (long long int &memSize)
| Ctor.
template<typename T>
void | operator() (const T &vec) const
| Functor.
long long int | result () const
| Result.

## Public Attributes

long long int * | m_memSize

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::MemSize

Definition at line 1400 of file FieldGroup.h.

## Constructor & Destructor Documentation

## MemSize()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::MemSize::MemSize | ( | long long int & | memSize | ) |

inline

Ctor.

Definition at line 1403 of file FieldGroup.h.

: m_memSize(&memSize)
{ }
FieldGroup::MemSize::m_memSize
long long int * m_memSize
Definition FieldGroup.h:1418
FieldGroup
Definition FieldGroup.h:304

References m_memSize, and FieldGroup< BaseTypeList_T, Dims_T >::memSize().

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::MemSize::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 1408 of file FieldGroup.h.

{
for (size_t field = 0, end = vec.size(); field < end; ++field) {
*m_memSize += vec[field].field->memSize();
}
}
FieldGroup::size
virtual size_t size() const
The number of fields in the group.
Definition FieldGroup.h:689
FieldGroup::memSize
long long int memSize() const
Returns the memory use in bytes for the fields in the group.
Definition FieldGroup.h:883

References m_memSize.

## result()

template<typename BaseTypeList_T, int Dims_T>

long long int FieldGroup< BaseTypeList_T, Dims_T >::MemSize::result | ( |  | ) | const

inline

Result.

Definition at line 1415 of file FieldGroup.h.

{ return m_memSize; }

References m_memSize.

## Member Data Documentation

## m_memSize

template<typename BaseTypeList_T, int Dims_T>

long long int* FieldGroup< BaseTypeList_T, Dims_T >::MemSize::m_memSize

Definition at line 1418 of file FieldGroup.h.

Referenced by MemSize(), operator()(), and result().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h